Lucene search

K
cvelistGitHub_MCVELIST:CVE-2023-25168
HistoryFeb 08, 2023 - 11:43 p.m.

CVE-2023-25168 Symbolic Link (Symlink) Following allowing the deletion of files and directories on the host system in wings

2023-02-0823:43:29
CWE-59
GitHub_M
www.cve.org
symlink vulnerability
wings
pterodactyl's server control plane
deletion
ghsa-p8r3-83r8-jwj5
exploit
server allocation
version v1.11.4
version v1.7.4
security update

9.6 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

LOW

User Interaction

NONE

Scope

CHANGED

Confidentiality Impact

NONE

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:C/C:N/I:H/A:H

9.5 High

AI Score

Confidence

High

0.001 Low

EPSS

Percentile

35.8%

Wings is Pterodactyl’s server control plane. This vulnerability can be used to delete files and directories recursively on the host system. This vulnerability can be combined with GHSA-p8r3-83r8-jwj5 to overwrite files on the host system. In order to use this exploit, an attacker must have an existing β€œserver” allocated and controlled by Wings. This vulnerability has been resolved in version v1.11.4 of Wings, and has been back-ported to the 1.7 release series in v1.7.4. Anyone running v1.11.x should upgrade to v1.11.4 and anyone running v1.7.x should upgrade to v1.7.4. There are no known workarounds for this issue.

CNA Affected

[
  {
    "vendor": "pterodactyl",
    "product": "wings",
    "versions": [
      {
        "version": "< 1.7.4",
        "status": "affected"
      },
      {
        "version": ">= 1.11.0, < 1.11.4",
        "status": "affected"
      }
    ]
  }
]

9.6 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

LOW

User Interaction

NONE

Scope

CHANGED

Confidentiality Impact

NONE

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:C/C:N/I:H/A:H

9.5 High

AI Score

Confidence

High

0.001 Low

EPSS

Percentile

35.8%

Related for CVELIST:CVE-2023-25168